
import 'package:http/http.dart' as http;
import 'package:http/http.dart';

import '../talkApi.dart';
class LeaveRoom extends TalkApi {
  String chatToken;

  LeaveRoom(this.chatToken) : super("v4/room/$chatToken/participants/self", null);

  @override
  assemble(String raw) {
    return null;
  }

  @override
  Future<Response> request(Uri uri, Object? body, Map<String, String>? headers) {
    return http.delete(uri, headers: headers);
  }
}